/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_INTC                                                     */
/* Tabela : INTECLIE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_INTC
BEFORE INSERT OR UPDATE OR DELETE
ON INTECLIE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUINTC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDINTECLIE,0) <> NVL(:NEW.CDINTECLIE,0)) OR
         (NVL(:OLD.CDCLIENTE,0)  <> NVL(:NEW.CDCLIENTE,0))  OR
         (NVL(:OLD.NMINTECLIE,0) <> NVL(:NEW.NMINTECLIE,0)) THEN
         :NEW.DTULTATUINTC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('INTECLIE', '', 'CDCLIENTE='||:OLD.CDCLIENTE||';CDINTECLIE='||:OLD.CDINTECLIE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE INTECLIE MODIFY DTULTATUINTC DEFAULT SYSDATE
/
